Bug 136875 - Pie chart label still overlap to neighboring slices a little (Comment 3)
Summary: Pie chart label still overlap to neighboring slices a little (Comment 3)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2020-09-18 09:45 UTC by Timur
Modified: 2022-10-28 03:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
PPTX compared in MSO and LO (100.03 KB, image/png)
2020-09-18 10:23 UTC, Timur
Details
Alignment setting of the offending label (30.75 KB, image/png)
2020-09-18 11:35 UTC, NISZ LibreOffice Team
Details
The example file in PP 13 and LO7.1 nightly (60.93 KB, image/png)
2020-10-26 15:10 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2020-09-18 09:45:55 UTC
Attachment 158424 [details] from bug 131168 regressed in bug 131188 but looked good briefly, as shown in attachment 164087 [details], probably after fix in bug 134977, but again regressed in 7.1+ so "3 vendors" is black label inside dark background. 
I open a new bug although all this time it's just bug 131168. 
Hopefully UI test is possible.

commit 8ae6e19b3a640a337dc87ff0f9f1be830bf939be
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Thu Aug 27 15:47:39 2020 +0200

    source 75a8b367f2a06e0d485fc2b9f4472e8bb29d71e3
    previous source 636d16efe45a55c1a5a7a451c46fbb8618bf0393

author	Balazs Varga <balazs.varga991@gmail.com>	2020-08-25 12:32:02 +0200
committer	László Németh <nemeth@numbertext.org>	2020-08-27 12:10:03 +0200
commit 75a8b367f2a06e0d485fc2b9f4472e8bb29d71e3 (patch)
tree babccb4f46b654c14fd38f5406251fe2639ed7a1
parent 636d16efe45a55c1a5a7a451c46fbb8618bf0393 (diff)
tdf#136105 tdf#134883 pie chart: improve data label position
Set the maximum text width of data point label shape based
on the remaining space, when text wrapping is enabled and
the label placement is OUTSIDE.
Comment 1 Timur 2020-09-18 10:23:55 UTC
Created attachment 165655 [details]
PPTX compared in MSO and LO
Comment 2 NISZ LibreOffice Team 2020-09-18 11:35:55 UTC
Created attachment 165658 [details]
Alignment setting of the offending label

In PP the data series level label alignment is Centered.
This is however overridden for all but the largest slice on the data point level.

The custom positioning info is not yet imported.
Comment 3 NISZ LibreOffice Team 2020-10-26 15:10:51 UTC
Created attachment 166742 [details]
The example file in PP 13 and LO7.1 nightly

This got a lot better after bug #134978 but some labels still overlap to neighboring slices a little.

This is similar to the problem in bug #136751
Comment 4 QA Administrators 2022-10-28 03:32:46 UTC
Dear Timur,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug